GOST12SUM(1)

NAME
gost12sum - generates or checks GOST R34.11-2012 message digests

SYNOPSIS
gost12sum [-bvl] [-c [file]] | [file...]

DESCRIPTION
gost12sum generates or checks GOST hash sums. The algorithm to generate the is reasonably fast and strong enough for most cases. Exact specification of the algorithm is in GOST R34.11-2012.

Normally gost12sum generates checksums of all files given to it as a parameter and prints the checksums followed by the filenames. If, however, -c is specified, only one filename parameter is allowed. This file should contain checksums and filenames to which these checksums refer to, and the files listed in that file are checked against the checksums listed there. See option -c for more information.

  OPTIONS

-b  Use binary mode. In unix environment, only difference between this and the normal mode is an asterisk preceding the filename in the output.

-c  Check gost hashes of all files listed in file against the checksum listed in the same file. The actual format of that file is the same as output of md5sum. That is, each line in the file describes a file. A line looks like:

    <hashsum> <filename>

    So, for example, if a file was created and its message digest calculated like so:

    echo foo > hash-test-file; gost12sum hash-test-file

    gost12sum would report:

    3d4a51ee7713e6467442facefe06f153a303e7bdefbe7f9bdf2edb4ae9c866ff hash-test-file

    When invoked with -c option gost12sum normally works silently unless error found. Use -v if you want to see list of successfully checked files

-v  Be more verbose. Print filenames when checking (with -c).

-l  Use long (512-bit) hash instead of short (256-bit).

BUGS

This manpage is not quite accurate and has formatting inconsistent with other manpages.

gost12sum does not accept standard options like --help.

AUTHOR

gost12sum utility written by Cryptocom LTD

This manual page is written by Victor Wagner <vitus@wagner.pp.ru> for Debian GNU/Linux